'''
Created on Mar 12, 2020 @author: Levi
'''

import pandas as pd

class PackReport(object):
    '''
    classdocs
    '''
    def __init__(self, source_xls):
        '''
        Constructor
        '''
        self.dtypes = {'NETWEIGHT': 'float64', 'NETVALUE': 'int64'}
        self.source_xls = source_xls
        df = pd.read_excel(self.source_xls, dtype=self.dtypes)
        self.grouped_df = df.groupby(['VSCODE'])[['Ppacking', 'Spacking']].sum()
        self.total = pd.Series(df[['Ppacking', 'Spacking']].sum(), index=['Ppacking', 'Spacking'])
        self.grouped_df.loc['Total'] = self.total


if __name__ == '__main__':
    pass
