## usage order

##### intrastat
0.export 'detalii_documente->tipuri_documente=='''Factura de cumparare UE''''
    Edit and cleanup Export

1.parser_intrastat.py

```python
parser_intrastat('intrastat_art.xlsx', 'Export.xlsx', 'intrastat_part.xlsx')
```

2.edit intrastat xlsx; **suppl** type **supplvalue**
    
    sort after col 'VS CODE' then 'FURN'
    suppl values: 1 - furnizor, 2-cumparator, suppl must be filled on every row
    value only for total.
    netweight to groups where **0**

3.intrastat.py from root dir

```python
intrastat = Intrastat('17259191_A_20201.xml', company=company, person=person,
                      versions=versions, header=header, elem_attribs=a_attribs,
                      supplucodes=supplunitcodes)
intrastat.make_arrival()
intrastat.make_arrival_items('tools/intrastat.xlsx')
intrastat.write_xml()
```

3.always verify NetMass > 0!!
    

##### package

1.parser_packing.py

```python
parser_packing('intrastat_art.xlsx', 'Export.xlsx', 'intrastat_part.xlsx')
```

2.packing from root dir

```python
packing = pypacking.PackReport('tools/packing.xlsx')
print(packing.grouped_df)
```